{
  config,
  lib,
  inputs,
  pkgs,
  home,
  system,
  nix-meow,
  ...
}:
let
  cfg = config.modules.sops;
in
{

  imports = [
    inputs.sops-nix.homeManagerModules.sops
  ];
  options.modules.sops = {
    enable = lib.mkEnableOption "sops configuration module";
  };
  config = lib.mkIf cfg.enable {
    sops = {
      age.keyFile = "/home/doloro/.config/sops/age/key.txt"; # must have no password!
      defaultSopsFile = "${nix-meow.flakeRoot}/secrets/users.yaml";
      secrets."wakatime-scug-io-api-key" = {
      };
    };
  };
}
